Subject: Re: [PATCH net-next] bpf, seccomp: prepare for upcoming criu support

From: Daniel Borkmann <[email-masked]>
Date: Fri, 02 Oct 2015 17:17:26 +0200

On 10/02/2015 05:06 PM, Tycho Andersen wrote:
...
>> Cc: Pavel Emelyanov <[email-masked]>
>> Cc: Kees Cook <[email-masked]>
>> Cc: Andy Lutomirski <[email-masked]>
>> Cc: Alexei Starovoitov <[email-masked]>
>> ---
>>   This is in realtion to Tycho's latest patch set under [1]. The BPF
>>   handling is unfortunately not correct (triggering a crash on kernels
>>   that can set pages as ro).
>>
>>   This patch here provides a minimal, simple interface from BPF API side
>>   as a possible step forward, so that the focus can then be on seccomp
>>   side wrt criu. F.e., dumping could happen similarly as in Pavel's
>>   sk_get_filter().
>>
>>   I have tested/based this against net-next, but have no issues whether
>>   Kees wants to take it, or whether it should go through both trees to
>>   reduce merge issues as once the case with 0fc174dea545 ("ebpf: make
>>   internal bpf API independent of CONFIG_BPF_SYSCALL ifdefs").
>
> I'll send out a revised version of my set with Andy's comments later
> today and not include this patch. Let me know if I should do something
> differently.

Should be okay.

Please make sure to describe in your cover letter that your series builds
on top of ...

   http://patchwork.ozlabs.org/patch/525492/

... so that whoever takes the set eventually is aware of this.

Thanks again,
Daniel